This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 608664 - Display freezes until I switch to a different tab and/or press Alt+Tab to go elsewhere and Alt+Tab to come back
Display freezes until I switch to a different tab and/or press Alt+Tab to go ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 08:36 EDT by Gabriel Schulhof
Modified: 2012-08-16 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xdpyinfo output (17.27 KB, application/octet-stream)
2010-06-28 08:36 EDT, Gabriel Schulhof
no flags Details
glxinfo output (18.90 KB, application/octet-stream)
2010-06-28 08:37 EDT, Gabriel Schulhof
no flags Details

  None (edit)
Description Gabriel Schulhof 2010-06-28 08:36:06 EDT
Created attachment 427397 [details]
xdpyinfo output

Description of problem:


Version-Release number of selected component (if applicable):
gnome-terminal-2.30.1-1.fc13.i386
metacity-2.30.0-2.fc13.i686

How reproducible:
Always

Steps to Reproduce:
1. Alt+F2
2. /usr/bin/gnome-terminal
3. Enter
4. Wait for the terminal to appear.
5. Alt+Space,x (maximize)
6. Ctrl+Shift+T (new tab)
7. Ctrl+D (logout, causing tab to close) and to display original terminal.
  
Actual results:
8. Original terminal is displayed, but is unresponsive to keyboard input. Hilighting with the mouse works fine. Alt+Tab to a different window and then Alt+Tab back fixes the problem.

Expected results:
8. Ctrl+D. gnome-terminal window disappears as the process quits completely.

Additional info:
Video card (according to lspci): nVidia Corporation Device 06fb (rev a1)
X driver is whatever is default in F13 (nouveau, I think)
rhgb is turned off, however, the laptop boots into fbdev mode.
xdpyinfo and glxinfo are attached.
Comment 1 Gabriel Schulhof 2010-06-28 08:37:34 EDT
Created attachment 427398 [details]
glxinfo output
Comment 2 Gabriel Schulhof 2010-06-28 08:38:52 EDT
If gnome-terminal is the only window on the desktop, pressing Alt+Tab only once unfreezes the terminal even though I don't actually switch away from the terminal and then back again.
Comment 3 Gabriel Schulhof 2010-06-28 09:54:46 EDT
The freeze also occurs when I close a maximized window, revealing the gnome-terminal which lies maximized behind it, i.e.:

1. Run gnome-terminal
2. Maximize gnome-terminal
3. Run firefox
4. Maximize firefox
5. Close firefox, revealing gnome-terminal behind itT

Result:
6. If you try to type anything into gnome-terminal you will find that it doesn't work, until you hit Alt+Tab.
Comment 4 Gabriel Schulhof 2010-08-02 06:39:37 EDT
I've also started noticing this freeze when switching to a Gtk dialog, like the GtkFileChooserDialog. When it appears from behind another window, I can't type in the filename until I hit Alt+Tab, Alt+Tab.
Comment 5 Gabriel Schulhof 2010-09-08 03:58:12 EDT
Is anyone even looking at this?
Comment 6 Gabriel Schulhof 2010-10-01 12:07:26 EDT
Yoo-hoo!
Comment 7 Bug Zapper 2011-06-01 11:22:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Gabriel Schulhof 2011-06-06 02:42:37 EDT
Still happening in Fedora 14.

Strangely, I think this may be related to the Intel graphics driver, or to the fact that it's a Dell laptop, because I've switched from one Dell Latitude with an Intel card to another Dell Latitude with an Intel card, and it's happening on both.
Comment 9 Gabriel Schulhof 2011-06-06 02:45:38 EDT
Oh, NM ... I guess my old one was an nVidia ... hmmm ... anyway, since nobody seems to be looking at this, nobody will notice my mistake ...
Comment 10 Fedora End Of Life 2012-08-16 13:16:41 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.